<?xml version="1.0" encoding="utf-8"?>
<root 
 xmlns="http://www.w3.org/1999/XSL/Format" 
 xmlns:wwpage="urn:WebWorks-Page-Template-Schema" 
 xmlns:wwexsldoc="urn:WebWorks-XSLT-Extension-Document"
>

 <!-- Master pages -->
 <!--              -->
 <layout-master-set>
  <!-- Title master page -->
  <!--                   -->
  <simple-page-master
   wwpage:condition="generate-title-page"
   wwpage:replace="title-odd-master-page"
   master-name="title-odd-master-page"
   page-height="11in" 
   page-width="8.5in" 
   margin-top="0.5in" 
   margin-bottom="0.1in" 
   margin-left="0.5in" 
   margin-right="0.5in"
  >
   <region-body 
    region-name="title-body" 
    margin-top="0.1in"
    margin-bottom="0.5in"
   />
   <region-before
    extent="0.5in" 
    region-name="title-page-header"
   />
  <region-after 
    extent="0.5in" 
    region-name="title-page-footer"
   />
  </simple-page-master>
  
  <page-sequence-master master-name="title-page" 
                        wwpage:condition="generate-title-page"
  >
   <repeatable-page-master-alternatives>
    <conditional-page-master-reference 
     odd-or-even="even" 
     master-reference="title-odd-master-page" 
    />
    <conditional-page-master-reference 
     odd-or-even="odd" 
     master-reference="title-odd-master-page"
    />
   </repeatable-page-master-alternatives>
  </page-sequence-master>

  <!-- TOC master pages -->
  <!--                  -->
  <simple-page-master
   wwpage:condition="toc-exists"
   wwpage:replace="toc-even-master-page"
   master-name="toc-even-master-page" 
   page-height="11in" 
   page-width="8.5in" 
   margin-top="0.5in" 
   margin-bottom="0.1in" 
   margin-left="0.75in" 
   margin-right="0.75in"
  >
   <region-body 
    region-name="toc-body" 
    margin-top="0.1in"
    margin-bottom="0.5in"
   />
   <region-before
    extent="0.5in" 
    region-name="toc-even-header"
   />
   <region-after 
    extent="0.5in" 
    region-name="toc-even-footer"
   />
  </simple-page-master>

  <simple-page-master
   wwpage:condition="toc-exists"
   wwpage:replace="toc-odd-master-page"
   master-name="toc-odd-master-page" 
   page-height="11in" 
   page-width="8.5in" 
   margin-top="0.5in" 
   margin-bottom="0.1in" 
   margin-left="0.75in" 
   margin-right="0.75in"
  >
   <region-body 
    region-name="toc-body" 
    margin-top="0.1in" 
    margin-bottom="0.5in" 
   />
   <region-before
    extent="0.5in" 
    region-name="toc-odd-header"
   />
   <region-after 
    extent="0.5in" 
    region-name="toc-odd-footer"
   />
  </simple-page-master>

  <page-sequence-master master-name="toc-pages"
                        wwpage:condition="toc-exists"
  >
   <repeatable-page-master-alternatives>
    <conditional-page-master-reference 
     odd-or-even="even" 
     master-reference="toc-even-master-page" 
    />
    <conditional-page-master-reference 
     odd-or-even="odd" 
     master-reference="toc-odd-master-page"
    />
   </repeatable-page-master-alternatives>
  </page-sequence-master>

  <!-- Index master pages -->
  <!--                    -->
  <simple-page-master
   wwpage:condition="index-exists"
   wwpage:replace="index-even-master-page"
   master-name="index-even-master-page" 
   page-height="11in" 
   page-width="8.5in" 
   margin-top="0.5in" 
   margin-bottom="0.1in" 
   margin-left="0.75in" 
   margin-right="0.75in"
  >
   <region-body 
    region-name="index-body" 
    margin-top="0.1in"
    margin-bottom="0.5in"
   />
   <region-before
    extent="0.5in" 
    region-name="index-even-header"
   />
   <region-after 
    extent="0.5in" 
    region-name="index-even-footer"
   />
  </simple-page-master>

  <simple-page-master
   wwpage:condition="index-exists"
   wwpage:replace="index-odd-master-page"
   master-name="index-odd-master-page" 
   page-height="11in" 
   page-width="8.5in" 
   margin-top="0.5in" 
   margin-bottom="0.1in" 
   margin-left="0.75in" 
   margin-right="0.75in"
  >
   <region-body 
    region-name="index-body" 
    margin-top="0.1in" 
    margin-bottom="0.5in" 
   />
   <region-before
    extent="0.5in" 
    region-name="index-odd-header"
   />
   <region-after 
    extent="0.5in" 
    region-name="index-odd-footer"
   />
  </simple-page-master>

  <page-sequence-master master-name="index-pages"
                        wwpage:condition="index-exists"
  >
   <repeatable-page-master-alternatives>
    <conditional-page-master-reference 
     odd-or-even="even" 
     master-reference="index-even-master-page" 
    />
    <conditional-page-master-reference 
     odd-or-even="odd" 
     master-reference="index-odd-master-page"
    />
   </repeatable-page-master-alternatives>
  </page-sequence-master>

  <wwpage:Macro name="layouts" />
 </layout-master-set>


 <bookmark-tree wwpage:condition="bookmarks-exist" wwpage:replace="bookmarks">
  <bookmark>
   <bookmark-title> Some Title </bookmark-title>
  </bookmark>
 </bookmark-tree>
 
 <!-- Title page sequence -->
 <!--                     -->
 <page-sequence 
  master-reference="title-odd-master-page" 
  wwpage:condition="generate-title-page"
 >
  <flow flow-name="title-body" wwpage:condition="generate-title-page">
   <block
    id="title-page-title"
    text-align="center" 
    font-weight="bold" 
    font-size="larger" 
    wwpage:replace="title-page-title"
   >
    Title
   </block>

   <block
    id="title-page-subtitle"
    text-align="center" 
    font-weight="bold" 
    font-size="larger" 
    wwpage:replace="title-page-subtitle"
   >
    Title
   </block>
  </flow>
 </page-sequence>

 <!-- Customization by Ben Allums to use DITA TOC instead of WebWorks TOC. -->
 <!-- Based on my query to wwp-users. -Lief 9. March 2013                  -->
 <!-- http://tech.dir.groups.yahoo.com/group/wwp-users/message/39985       -->
 <!-- Frontmatter page sequence -->
 <!--                           -->
 <wwpage:Macro name="frontmatter-sequences"/>
 <!-- End of customization. -->

 <!-- TOC page sequence -->
 <!--                   -->
 <page-sequence 
  master-reference="toc-pages" 
  format="i"
  wwpage:condition="toc-exists"
 >
  <!-- TOC header -->
  <!--            -->
  <static-content flow-name="toc-even-header" wwpage:condition="toc-even-header-exists">
   <block 
    border-bottom-width="thin" 
    border-bottom-style="solid" 
    border-bottom-color="black" 
    font-weight="bold" 
    text-align="outside" 
    wwpage:replace="toc-even-header"
   >
    Table Of Contents
   </block>
  </static-content>

  <static-content flow-name="toc-odd-header" wwpage:condition="toc-odd-header-exists">
   <block 
    border-bottom-width="thin" 
    border-bottom-style="solid" 
    border-bottom-color="black" 
    font-weight="bold" 
    text-align="outside" 
    wwpage:replace="toc-odd-header"
   >
    Table Of Contents
   </block>
  </static-content>

  <!-- TOC footer -->
  <!--            -->
  <static-content flow-name="toc-even-footer" wwpage:condition="toc-even-footer-exists">
   <block 
    border-bottom-width="thin" 
    border-bottom-style="solid" 
    border-bottom-color="black" 
    font-weight="bold" 
    text-align="outside"
    wwpage:replace="toc-even-footer"
   >
    <page-number />
   </block>
  </static-content>

  <static-content flow-name="toc-odd-footer" wwpage:condition="toc-odd-footer-exists">
   <block 
    border-bottom-width="thin" 
    border-bottom-style="solid" 
    border-bottom-color="black" 
    font-weight="bold" 
    text-align="outside"
    wwpage:replace="toc-odd-footer"
   >
    <page-number />
   </block>
  </static-content>

  <flow flow-name="toc-body" wwpage:condition="toc-exists">
   <block
    id="toc-title"
    text-align="center" 
    font-weight="bold" 
    font-size="larger" 
    wwpage:replace="toc-title"
   >
    Table Of Contents
   </block>

   <block wwpage:replace="toc-content">
    TOC content here...
   </block>
  </flow>
 </page-sequence>


 <!-- Main page sequence -->
 <!--                    -->
 <wwpage:Macro name="page-sequences" />


 
 <!-- Index page sequence -->
 <!--                     -->
 <page-sequence 
  master-reference="index-pages" 
  wwpage:condition="index-exists">
  
  <!-- Index header -->
  <!--              -->
  <static-content flow-name="index-odd-header" wwpage:condition="index-odd-header-exists">
   <block 
    border-bottom-width="thin" 
    border-bottom-style="solid" 
    border-bottom-color="black" 
    font-weight="bold" 
    text-align="outside" 
    wwpage:replace="index-odd-header"
   >
    Index
   </block>
  </static-content>

  <static-content flow-name="index-even-header" wwpage:condition="index-even-header-exists">
   <block 
    border-bottom-width="thin" 
    border-bottom-style="solid" 
    border-bottom-color="black" 
    font-weight="bold" 
    text-align="outside" 
    wwpage:replace="index-even-header"
   >
    Index
   </block>
  </static-content>

  <!-- Index footer -->
  <!--              -->
  <static-content flow-name="index-even-footer" wwpage:condition="index-even-footer-exists">
   <block 
    border-bottom-width="thin" 
    border-bottom-style="solid" 
    border-bottom-color="black" 
    font-weight="bold" 
    text-align="outside"
    wwpage:replace="index-even-footer"
   >
    <page-number />
   </block>
  </static-content>

  <static-content flow-name="index-odd-footer" wwpage:condition="index-odd-footer-exists">
   <block 
    border-bottom-width="thin" 
    border-bottom-style="solid" 
    border-bottom-color="black" 
    font-weight="bold" 
    text-align="outside"
    wwpage:replace="index-odd-footer"
   >
    <page-number />
   </block>
  </static-content>

  <flow flow-name="index-body">
   <block 
    id="index-title"
    text-align="center" 
    font-weight="bold" 
    font-size="larger" 
    wwpage:replace="index-title"
   >
    Index
   </block>

   <block wwpage:replace="index-content">
    Index content here...
   </block>
  </flow>
 </page-sequence>
</root>

